INTERFACE
SUBROUTINE M7_EMI_CAR&
 & ( KIDIA, KFDIA, KLON ,&
 & PCI , PGELAM,PGEMU, PLSM , PWIND,&
 & PBCBF, PBCFF, PBCGF, POMBF, POMFF, POMGF,&
 & PFLXM7&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YO_AERO_M7 ,ONLY : nm7aer, rcarbon_nh, rcarbon_sh, rom2oc&
 & , rm2n_bcki_ff, rm2n_bcki_bb, rm2n_ocki_ff, rm2n_ocki_bb&
 & , rm2n_ocks_bb, rm2n_ocki_bg, rm2n_ocks_bg&
 & , rbb_wsoc_perc, rbge_wsoc_perc 
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PCI(KLON), PGELAM(KLON), PGEMU(KLON), PLSM(KLON), PWIND(KLON)
REAL(KIND=JPRB) ,INTENT(IN) :: PBCBF(KLON), PBCFF(KLON), PBCGF(KLON), POMBF(KLON), POMFF(KLON), POMGF(KLON)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFLXM7(KLON,nm7aer)
END SUBROUTINE M7_EMI_CAR
END INTERFACE
